# eric4.Plugins.VcsPlugins.vcsPySvn.ConfigurationPage.SubversionPage

Module implementing the Subversion configuration page.

### Classes

SubversionPage | Class implementing the Subversion configuration page.

### Functions

None

## SubversionPage

Class implementing the Subversion configuration page.

### Derived from

ConfigurationPageBase, Ui_SubversionPage

### Methods

SubversionPage | Constructor
on_configButton_clicked | Private slot to edit the Subversion config file.
on_serversButton_clicked | Private slot to edit the Subversion servers file.
save | Public slot to save the Subversion configuration.

#### SubversionPage (Constructor)

SubversionPage(plugin)

Constructor

plugin
  reference to the plugin object

#### SubversionPage.on_configButton_clicked

on_configButton_clicked()

Private slot to edit the Subversion config file.

#### SubversionPage.on_serversButton_clicked

on_serversButton_clicked()

Private slot to edit the Subversion servers file.

#### SubversionPage.save

save()

Public slot to save the Subversion configuration.

Up